com.microfocus.zos.model

## Enum ERecordFormat

- java.lang.Object
- - java.lang.Enum<ERecordFormat>
  - - com.microfocus.zos.model.ERecordFormat

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ERecordFormat>

      public enum ERecordFormat
      extends java.lang.Enum<ERecordFormat>

  Enumeration of possible z/OS Data Set record formats.
  Author:
    Ralf Pakosch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `F`
    `FA`
    `FB`
    `FBA`
    `FBM`
    `FBS`
    `FM`
    `FS`
    `U`
    `UNKNOWN`
    `V`
    `VA`
    `VB`
    `VBA`
    `VBM`
    `VBS`
    `VM`
    `VS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String[]` | `getZOSValidRecordFormatLiterals()`
    `static ERecordFormat[]` | `getZOSValidRecordFormats()`
    `static ERecordFormat` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ERecordFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### F

          public static final ERecordFormat F

    - #### FA

          public static final ERecordFormat FA

    - #### FB

          public static final ERecordFormat FB

    - #### FM

          public static final ERecordFormat FM

    - #### FS

          public static final ERecordFormat FS

    - #### FBA

          public static final ERecordFormat FBA

    - #### FBM

          public static final ERecordFormat FBM

    - #### FBS

          public static final ERecordFormat FBS

    - #### V

          public static final ERecordFormat V

    - #### VA

          public static final ERecordFormat VA

    - #### VB

          public static final ERecordFormat VB

    - #### VM

          public static final ERecordFormat VM

    - #### VS

          public static final ERecordFormat VS

    - #### VBA

          public static final ERecordFormat VBA

    - #### VBM

          public static final ERecordFormat VBM

    - #### VBS

          public static final ERecordFormat VBS

    - #### U

          public static final ERecordFormat U

    - #### UNKNOWN

          public static final ERecordFormat UNKNOWN

  - ### Method Detail

    - #### values

          public static ERecordFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ERecordFormat c : ERecordFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ERecordFormat valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getZOSValidRecordFormats

          public static ERecordFormat[] getZOSValidRecordFormats()

    - #### getZOSValidRecordFormatLiterals

          public static java.lang.String[] getZOSValidRecordFormatLiterals()

Copyright © 2015 Micro Focus GmbH. All rights reserved.